summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2019-11-18 11:12:21 +0100
committerJeroen Roovers <jer@gentoo.org>2019-11-18 11:26:15 +0100
commitb1566a89ad25a6a1d2bbf08e64efc57e3b6b86c6 (patch)
tree0ab8e56305f92ad1aee1000928536451dd88a42d /app-misc/remind
parentdev-python/pyxattr: Fix remaining MissingTestRestrict (diff)
downloadgentoo-b1566a89ad25a6a1d2bbf08e64efc57e3b6b86c6.tar.gz
gentoo-b1566a89ad25a6a1d2bbf08e64efc57e3b6b86c6.tar.bz2
gentoo-b1566a89ad25a6a1d2bbf08e64efc57e3b6b86c6.zip
app-misc/remind: Version 03.01.17
Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Diffstat (limited to 'app-misc/remind')
-rw-r--r--app-misc/remind/Manifest1
-rw-r--r--app-misc/remind/remind-03.01.17.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/app-misc/remind/Manifest b/app-misc/remind/Manifest
index 596609f84a5..50b56eb201e 100644
--- a/app-misc/remind/Manifest
+++ b/app-misc/remind/Manifest
@@ -1,2 +1,3 @@
DIST remind-03.01.15.tar.gz 363101 BLAKE2B a5e27b83c20428991982c3cae22b32be6cc054bfd51a868ee3515f5ec4a37aa24f8ec476f566860ca0fbb6f29e7c9f3e6ed023714e52091ebca103162936877f SHA512 335f3ca88237f1ae53768b9ecdeb03f0bb1e706a8afd3ba36121ec76048a08fbc0d5ec72b05e552394b4cf2131be335c49533e1212b7e713ef16002a0621fc84
DIST remind-03.01.16.tar.gz 354521 BLAKE2B b4157922842af67408423e1b36ddae8f049e9c803cec83a7a11188dff5ccf7934ce5afc776bdc02acd6b18a8ad172180841a53576220791fb64230a0e1d54884 SHA512 61d72b01315d59a0e6f96006d5cb063752efad68119e2d1c4fcf6e6f3b2c122a7df47081c305f777fb2c6574e278e401446192897e48b4f93607db29db046550
+DIST remind-03.01.17.tar.gz 355331 BLAKE2B c3c45b58763a02c951ff5b890ba7ee657894f54ac8b235c7c0f5bb83385b7ae867d660dc37ed71f5f35bd17a5668a8ac3a99bc76c22c000642419ddf90b3fd5b SHA512 e5d98c9e2b90a9d31f1298f252c12ff6be378e7d1501e4a8d3361eb349bf50e89aa1bc6b6543f052f3ffa4113241816117a83eb144b8cf452cf0af8b9d0c8a17
diff --git a/app-misc/remind/remind-03.01.17.ebuild b/app-misc/remind/remind-03.01.17.ebuild
new file mode 100644
index 00000000000..b3357ae89e1
--- /dev/null
+++ b/app-misc/remind/remind-03.01.17.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Ridiculously functional reminder program"
+HOMEPAGE="https://dianne.skoll.ca/projects/remind/"
+SRC_URI="${HOMEPAGE}download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="tk"
+
+RDEPEND="
+ tk? ( dev-lang/tk dev-tcltk/tcllib )
+"
+DOCS="docs/WHATSNEW examples/defs.rem www/README.*"
+
+src_prepare() {
+ default
+ sed -i 's:$(MAKE) install:&-nostripped:' "${S}"/Makefile || die
+}
+
+src_test() {
+ if [[ ${EUID} -eq 0 ]] ; then
+ ewarn "Testing fails if run as root. Skipping tests"
+ else
+ emake test
+ fi
+}
+
+src_install() {
+ default
+ dobin www/rem2html
+
+ if ! use tk ; then
+ rm \
+ "${D}"/usr/bin/cm2rem* \
+ "${D}"/usr/bin/tkremind \
+ "${D}"/usr/share/man/man1/cm2rem* \
+ "${D}"/usr/share/man/man1/tkremind* \
+ || die
+ fi
+
+ rm "${S}"/contrib/rem2ics-*/{Makefile,rem2ics.spec} || die
+ insinto /usr/share/${PN}
+ doins -r contrib/
+}